<?xml version="1.0" encoding="utf-8" ?>
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           xmlns="http://xmlns.gemsystem.cz/PredaniZpravyCSCB2B"
           targetNamespace="http://xmlns.gemsystem.cz/PredaniZpravyCSCB2B"
           elementFormDefault="qualified">
  <xs:element name="PredaniZpravyCSCB2B">
    <xs:complexType>
      <xs:sequence minOccurs="0" maxOccurs="unbounded">
        <xs:element name="ciselnik">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="oznaceniCiselniku" type="xs:string"
                          maxOccurs="1" minOccurs="1"/>
              <xs:element name="verzeStruktury" type="xs:string" minOccurs="1"
                          maxOccurs="1"/>
              <xs:element name="verzeObsahu" type="xs:string" maxOccurs="1"
                          minOccurs="1"/>
              <xs:element name="platnostOd" type="xs:date"/>
              <xs:element name="expirace" type="xs:date" minOccurs="1"
                          maxOccurs="1"/>
              <xs:element name="popisStruktury" type="xs:string"/>
              <xs:element name="popisObsahu" type="xs:string"/>
              <xs:element name="anotaceStruktury" type="xs:base64Binary"
                          maxOccurs="1" minOccurs="1"/>
              <xs:element name="anotaceObsahu" minOccurs="1" maxOccurs="1"
                          type="xs:base64Binary"/>
              <xs:element name="formatCiselniku" type="formatCiselniku"
                          minOccurs="1" maxOccurs="1"/>
              <xs:element name="kodovaStranka" type="kodovaStranka"
                          minOccurs="1" maxOccurs="1"/>
              <xs:element name="data" type="xs:base64Binary" minOccurs="1"
                          maxOccurs="1"/>
              <xs:element name="srovnavaciProtokol" type="xs:base64Binary"
                          minOccurs="1" maxOccurs="1"/>
              <xs:sequence minOccurs="1" maxOccurs="unbounded">
                <xs:element name="sloupec" type="sloupec"/>
              </xs:sequence>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:sequence>
    </xs:complexType>
  </xs:element>
  <xs:complexType name="sloupec">
    <xs:sequence>
      <xs:element name="poradi" type="xs:int" minOccurs="1" maxOccurs="1"/>
      <xs:element name="nazevSloupce" type="xs:string" minOccurs="1"
                  maxOccurs="1"/>
      <xs:element name="datovyTyp" type="xs:string" minOccurs="1"
                  maxOccurs="1"/>
      <xs:element name="delka" type="xs:string"/>
      <xs:element name="externi" type="externi"/>
      <xs:element name="popisSloupce" type="xs:string"/>
    </xs:sequence>
  </xs:complexType>
  <xs:simpleType name="externi">
    <xs:restriction base="xs:string">
      <xs:enumeration value="A"/>
      <xs:enumeration value="N"/>
      <xs:enumeration value="E"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="charBoolean">
    <xs:restriction base="xs:string">
      <xs:enumeration value="A"/>
      <xs:enumeration value="N"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="formatCiselniku">
    <xs:restriction base="xs:string">
      <xs:enumeration value="CSV"/>
      <xs:enumeration value="XML"/>
    </xs:restriction>
  </xs:simpleType>
  <xs:simpleType name="kodovaStranka">
    <xs:restriction base="xs:string">
      <xs:enumeration value="EE8PC852"/>
      <xs:enumeration value="EE8ISO8859P2"/>
      <xs:enumeration value="EE8MSWIN1250"/>
    </xs:restriction>
  </xs:simpleType>
</xs:schema>



